'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _components = {
  SvgStore: {
    displayName: 'SvgStore'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: 'src/components/SvgStore/SvgStore.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
}

// TODO ## Remove this temporary disable
/* eslint react/no-unknown-property:0 */

var SvgStore = _wrapComponent('SvgStore')(function (_Component) {
  (0, _inherits3.default)(SvgStore, _Component);

  function SvgStore() {
    (0, _classCallCheck3.default)(this, SvgStore);
    return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(SvgStore).apply(this, arguments));
  }

  (0, _createClass3.default)(SvgStore, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate() {
      // Should never update, doesn't receive any props
      return false;
    }
  }, {
    key: 'render',
    value: function render() {
      return _react3.default.createElement(
        'div',
        null,
        _react3.default.createElement(
          'svg',
          { style: { position: 'absolute', width: 0, height: 0 }, width: '0', height: '0', version: '1.1', xmlns: 'http://www.w3.org/2000/svg', xmlnsXlink: 'http://www.w3.org/1999/xlink' },
          _react3.default.createElement(
            'defs',
            null,
            _react3.default.createElement(
              'symbol',
              { id: 'icon-alert-circle', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'alert-circle'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M733.7 563.2h-102.4v-307.2h102.4zM733.7 768h-102.4v-102.4h102.4zM682.5 0c-282.624 0-512 229.376-512 512s229.376 512 512 512 512-229.376 512-512-229.376-512-512-512z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-account', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'account'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M682.5-0.001c141.44 0 256.001 114.56 256.001 256.001s-114.56 256.001-256.001 256.001-256.001-114.56-256.001-256.001 114.56-256.001 256.001-256.001zM682.5 639.999c282.88 0 512 114.56 512 256.001v128h-1024v-128c0-141.44 229.12-256.001 512-256.001z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-chevron-down', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'chevron-down'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M160.26 89.886l522.24 522.24 522.24-522.24 160.426 161.564-682.667 682.667-682.667-682.667 160.426-161.564z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-key-variant', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'key-variant'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1194.5 819.2v204.8h-204.8v-153.6h-153.6v-153.6h-153.6l-115.712-115.712c-28.16 8.704-57.856 13.312-89.088 13.312-169.472 0-307.2-137.728-307.2-307.2s137.728-307.2 307.2-307.2 307.2 137.728 307.2 307.2c0 31.232-4.608 60.928-13.312 89.088l422.912 422.912zM426.5 153.599c-56.32 0-102.4 46.080-102.4 102.4s46.080 102.4 102.4 102.4 102.4-46.080 102.4-102.4-46.080-102.4-102.4-102.4z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-magnify', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'magnify'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M550.841 0c210.066 0 380.343 170.277 380.343 380.343 0 94.208-34.523 180.81-91.283 247.516l15.799 15.799h46.226l292.571 292.571-87.771 87.771-292.571-292.571v-46.226l-15.799-15.799c-66.706 56.759-153.308 91.283-247.516 91.283-210.066 0-380.343-170.277-380.343-380.343s170.277-380.343 380.343-380.343zM550.841 117.027c-146.286 0-263.314 117.029-263.314 263.314s117.029 263.314 263.314 263.314 263.314-117.029 263.314-263.314-117.029-263.314-263.314-263.314z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-pause', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'pause'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M828.786 1024h292.572v-1024h-292.572zM243.643 1024h292.572v-1024h-292.572v1024z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-play', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'play'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M280.241 0v1024l804.572-512-804.572-512z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-settings', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'settings'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M682.755 691.2c-98.816 0-179.2-80.384-179.2-179.2s80.384-179.2 179.2-179.2 179.2 80.384 179.2 179.2-80.384 179.2-179.2 179.2zM1063.17 561.664c2.048-16.384 3.584-32.768 3.584-49.664s-1.536-33.792-3.584-51.2l108.032-83.456c9.728-7.68 12.288-21.504 6.144-32.768l-102.4-177.152c-6.144-11.264-19.968-15.872-31.232-11.264l-127.487 51.2c-26.624-19.968-54.272-37.376-86.528-50.176l-18.944-135.68c-2.048-12.288-12.8-21.504-25.6-21.504h-204.8c-12.8 0-23.552 9.216-25.6 21.504l-18.944 135.68c-32.256 12.8-59.904 30.208-86.528 50.176l-127.487-51.2c-11.264-4.608-25.088 0-31.232 11.264l-102.4 177.152c-6.656 11.264-3.584 25.088 6.144 32.768l108.032 83.456c-2.048 17.408-3.584 34.304-3.584 51.2s1.536 33.28 3.584 49.664l-108.032 84.992c-9.728 7.68-12.8 21.504-6.144 32.768l102.4 177.152c6.144 11.264 19.968 15.36 31.232 11.264l127.487-51.712c26.624 20.48 54.272 37.888 86.528 50.688l18.944 135.68c2.048 12.288 12.8 21.504 25.6 21.504h204.8c12.8 0 23.552-9.216 25.6-21.504l18.944-135.68c32.256-13.312 59.904-30.208 86.528-50.688l127.487 51.712c11.264 4.096 25.088 0 31.232-11.264l102.4-177.152c6.144-11.264 3.584-25.088-6.144-32.768l-108.032-84.992z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-stop', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'stop'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1194.501 1023.999h-1024v-1024h1024v1024z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-menu-down', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'menu-down'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M-0.165 170.667l682.666 682.666 682.666-682.666h-1365.333z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-lock', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'lock'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M682.501 780.19c53.638 0 97.524-43.886 97.524-97.524 0-54.126-43.886-97.524-97.524-97.524s-97.524 43.886-97.524 97.524 43.886 97.524 97.524 97.524zM975.072 341.333c53.638 0 97.524 43.886 97.524 97.524v487.619c0 53.638-43.886 97.524-97.524 97.524h-585.143c-53.638 0-97.524-43.886-97.524-97.524v-487.619c0-54.126 43.886-97.524 97.524-97.524h48.762v-97.524c0-134.583 109.227-243.809 243.809-243.809s243.809 109.227 243.809 243.809v97.524h48.762zM682.501 97.524c-80.945 0-146.286 65.341-146.286 146.286v97.524h292.571v-97.524c0-80.945-65.341-146.286-146.286-146.286z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-lock-open', viewBox: '0 0 1349 1024' },
              _react3.default.createElement(
                'title',
                null,
                'lock-open'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M967.075 341.333c53.638 0 97.524 43.886 97.524 97.524v487.619c0 53.638-43.886 97.524-97.524 97.524h-585.143c-54.126 0-97.524-43.886-97.524-97.524v-487.619c0-53.638 43.886-97.524 97.524-97.524h438.857v-97.524c0-80.945-65.341-146.286-146.286-146.286s-146.286 65.341-146.286 146.286h-97.524c0-134.583 109.227-243.809 243.809-243.809s243.809 109.227 243.809 243.809v97.524h48.762zM674.504 780.19c53.638 0 97.524-43.886 97.524-97.524s-43.886-97.524-97.524-97.524-97.524 43.886-97.524 97.524 43.886 97.524 97.524 97.524z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-keyboard-backspace', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'keyboard-backspace'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1365.167 436.148h-1074.821l271.549-272.308-106.951-106.951-455.111 455.111 455.111 455.111 106.951-107.709-271.549-271.549h1074.821v-151.704z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-arrow-left', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'arrow-left'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1194.501 447.353v129.293h-775.758l355.556 355.556-91.798 91.798-512-512 512-512 91.798 91.798-355.556 355.556h775.758z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-delete', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'delete'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1080.722 56.889h-199.111l-56.889-56.889h-284.444l-56.889 56.889h-199.111v113.778h796.444zM341.166 910.222c0 62.578 51.2 113.778 113.778 113.778h455.111c62.578 0 113.778-51.2 113.778-113.778v-682.667h-682.667v682.667z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-logout', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'logout'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M967.111 981.333v-184.889h-398.222v-227.556h398.222v-184.889l298.667 298.667-298.667 298.667zM739.556 113.778c62.578 0 113.778 51.2 113.778 113.778v227.556h-113.778v-227.556h-512v910.222h512v-227.556h113.778v227.556c0 62.578-51.2 113.778-113.778 113.778h-512c-62.578 0-113.778-51.2-113.778-113.778v-910.222c0-62.578 51.2-113.778 113.778-113.778h512z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-content-save', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'content-save'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M853.167 341.334h-568.888v-227.556h568.888zM682.501 910.223c-94.436 0-170.667-76.231-170.667-170.667s76.231-170.667 170.667-170.667 170.667 76.231 170.667 170.667-76.231 170.667-170.667 170.667zM966.945 0.002h-682.666c-63.147 0-113.778 51.2-113.778 113.778v796.443c0 62.578 51.2 113.778 113.778 113.778h796.443c62.578 0 113.778-51.2 113.778-113.778v-682.666l-227.556-227.556z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-close', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'close'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1194.5 103.131l-103.131-103.131-408.869 408.869-408.869-408.869-103.131 103.131 408.869 408.869-408.869 408.869 103.131 103.131 408.869-408.869 408.869 408.869 103.131-103.131-408.869-408.869 408.869-408.869z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-plus', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'plus'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1194.5 585.143h-438.857v438.857h-146.286v-438.857h-438.857v-146.286h438.857v-438.857h146.286v438.857h438.857v146.286z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-pencil', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'pencil'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1172.436 234.219c22.064-22.064 22.064-58.837 0-79.77l-132.385-132.385c-20.933-22.064-57.706-22.064-79.77 0l-104.098 103.532 212.155 212.155zM170.499 811.845v212.155h212.155l625.715-626.281-212.155-212.155-625.715 626.281z' })
            ),
            _react3.default.createElement(
              'symbol',
              { id: 'icon-check', viewBox: '0 0 1365 1024' },
              _react3.default.createElement(
                'title',
                null,
                'check'
              ),
              _react3.default.createElement('path', { className: 'path1', d: 'M1350.665 107.668l-916.333 916.333-419.986-419.986 107.669-107.669 312.317 311.554 808.663-807.899 107.669 107.669z' })
            )
          )
        )
      );
    }
  }]);
  return SvgStore;
}(_react2.Component));

exports.default = SvgStore;
module.exports = exports['default'];